#ifndef _checksums_h
#define _checksums_h

#include <stdint.h>

uint16_t sysv_checksum(uint8_t *start_addr, uint8_t *end_addr);

uint8_t crc8_byte(uint8_t n);

uint8_t crc8_bytearray(uint8_t *na, uint8_t len, uint8_t start_val);

#endif
